故障事件
GET https://uptime.tedx.net/api/incidents/
curl --request GET \
--url 'https://uptime.tedx.net/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.tedx.net/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| search | 选修的 钢丝绳 | 搜索字符串。 |
| search_by | 选修的 钢丝绳 | 您在哪个领域搜索。允许的值为:comment。 |
| datetime_field | 选修的 钢丝绳 | 允许的值:start_datetime, end_datetime, last_failed_check_datetime |
| datetime_start | 选修的 钢丝绳 | 过滤从此日期时间开始的结果。Y-m-d H:i:s格式。 |
| datetime_end | 选修的 钢丝绳 | 筛选截至该日期时间的结果。Y-m-d H:i:s格式。 |
| order_by | 选修的 钢丝绳 | 结果的排序依据字段。允许的值为:incident_id, start_datetime, end_datetime, last_failed_check_datetime, failed_checks。 |
| order_type | 选修的 钢丝绳 | 结果的排序。允许的值为:ASC(升序)和DESC(降序)。 |
| page | 选修的 整数 | 您想要结果的页码。默认为1。 |
| results_per_page | 选修的 整数 | 您希望每页有多少个结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-09-17 00:22:52",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime.tedx.net/api/incidents?page=1",
"last": "https://uptime.tedx.net/api/incidents?page=1",
"next": null,
"prev": null,
"self": "https://uptime.tedx.net/api/incidents?page=1"
}
}
GET https://uptime.tedx.net/api/incidents/{incident_id}
curl --request GET \
--url 'https://uptime.tedx.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.tedx.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-09-17 00:22:52",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
}
POST https://uptime.tedx.net/api/incidents/{incident_id}
| 参数 | 详情 | 描述 |
|---|---|---|
| comment | 选修的 钢丝绳 | - |
curl --request POST \
--url 'https://uptime.tedx.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
--url 'https://uptime.tedx.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime.tedx.net/api/incidents/{incident_id}
curl --request DELETE \
--url 'https://uptime.tedx.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.tedx.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \